package com.gonghang.h5clientapp.beans.vo;

import lombok.Data;

/**
 * 上海工商银行对接 —— 机器人实时状态数据
 * Created by shiwn on 2022/7/5 9:18
 */
@Data
public class GhRobotStatusVO {
    /**
     * 通讯状态。1-在线，0-离线
     */
    private byte systemCom = 0;
    /**
     * 电量
     */
    private Float cap;
    private Boolean checkCap = false;
    /**
     * 电池温度
     */
    private Float temp;
    private Boolean checkTemp = false;
    /**
     * 机身温度
     */
    private Float workTemp;
    private Boolean checkWorkTemp = false;
    /**
     * 充电状态.true-充电，false-不在充电
     */
    private Boolean chargingStatus;
    /**
     * 前方是否障碍.true-是，false-否
     */
    private Boolean openRadar;
    /**
     * 地图上坐标
     */
    private Integer mapX;
    private Integer mapY;
    /**
     * 是否自检告警.true-是，false-否
     */
    private Boolean robotCheck;
}
