package com.sunwin.robot2ips.beans.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;


/**
 * 上传测点对象
 *
 * @author machao
 * @since 2022/6/6 17:00
 **/
@Data
public class RecordTaskPoint {

    /**
     * 任务id
     */
    @JSONField(serialize = false)
    private String taskId;

    /**
     * 测点id(唯一标识 uuid)
     */
    private String resultId;

    /**
     * 测点类型(检测点：POINT;判据:EQU)
     */
    private String resultType = "POINT";

    /**
     * 测点类型数据类型(检测点：0;判据:1)
     */
    private String resultTypeNum = "0";

    /**
     * 测点描述（巡检点名称）
     */
    private String remark;
    /**
     * 巡检值
     */
    private String resultValue;
    /**
     * 巡检来源1是手机版、2是电脑板（填1）
     */
    private String dataSource = "1";

    /**
     * 测点编码
     */
    private String pointCode;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 现场照片
     */
    private String image;

    /**
     * 任务的实际完成时间
     */
    private Date recordCompleteDate;
    /**
     * 巡检日期yyyy-MM-ddHH:mm:ss
     */
    private Date updateTime;
    /**
     * 计划开始时间
     */
    private Date recordPlanStartDate;
    /**
     * 计划完成时间
     */
    private Date recordPlanCompleteDate;
    /**
     * 任务的开始时间
     */
    private Date recordStartDate;

    @JSONField(serialize = false)
    private Integer robotId;
}
